# GetAssetIssueListByName

Query the list of all the TRC10 tokens by a name.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `value` - String - TRC 10 token name, default hexString.

## **Returns**

`assetIssue` - List\<assetIssueCapsule> : The list of all TRC10 tokens with the same name, please refer to [GetAssetIssueByAccount](/v1/tron/tron-full-node-http-api/trc10-token/getassetissuebyaccount.md) for detailed fields of AssetIssueCapsule object.

```bash
// Result
{
  "assetIssue": [
    {
      "owner_address": "412e1934759faf93497d6742208e2e521f7043e2ff",
      "name": "62747474657374",
      "abbr": "62747474657374",
      "total_supply": 1000000000000000,
      "trx_num": 1000000,
      "precision": 6,
      "num": 1000000,
      "start_time": 1575648000000,
      "end_time": 1575734400000,
      "description": "62747474657374",
      "url": "68747470733a2f2f62746673736f7465722e726561646d652e696f2f646f63732f686f772d746f2d6765742d737461727465642d776974682d736f746572",
      "id": "1000001"
    }
  ]
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getassetissuelistbyname \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "value": "62747474657374"
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/trc10-token/getassetissuelistbyname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
